program rf60X_measure_udp;


{$APPTYPE CONSOLE}
{$ IFDEF UNICODE}

uses
  SysUtils,rf60xunittypes in 'rf60xunits/rf60xunittypes.pas';


var
  Name: string;
  i: integer;

  measure: rf60x_udp_measure_t;
  config: config_base_information_rf60x_t;

  rf60x: THandle;

begin

  WriteLn('init :', init);

  WriteLn('version : ', version());

  config.SCANNER_TYPE := TScanner_types.kRF60x;
  config.recv_ip_addrs := '192.168.1.2';
  config.protocol := TProtocol_types.kRIFTEK_BIN_PROTOCOL;
  config.number_serial_port := ' ';
  config.network_address := 1;

  rf60x := create_rf60x(config);

  WriteLn('connect :', connect(rf60x));

  for i := 0 to 10 do
  begin

    if True = get_measure_udp(rf60x, @measure) then
      WriteLn('deviceSerial : ', measure.deviceSerial, ' measure ',FormatFloat('0.####',  measure.rf60xValArray[0].Value*measure.deviceMeasureRange/16384), ' mm');
  end;

  WriteLn('disconnect :', disconnect(rf60x));

  cleanup();

  readln(Name);

end.





